<?php

use App\Enums\PricelistFileStatusEnum;
use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::table('pricelist_files', function (Blueprint $table) {
            $table->enum('status', array_column(PricelistFileStatusEnum::cases(), 'value'))
                ->default(PricelistFileStatusEnum::todo->value)
                ->change();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('pricelist_files', function (Blueprint $table) {
            $table->enum('status', ['todo', 'inprogress', 'fail', 'done', 'closed'])
                ->default(PricelistFileStatusEnum::todo->value)
                ->change();
        });
    }
};
